org.apache.myfaces.trinidad.model

## Interface XMLMenuModel.MenuContentHandler

- Enclosing class:
    XMLMenuModel

      public static interface XMLMenuModel.MenuContentHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` gets the id of this content handler
    `Map<String,Object>` | `getIdNodeMap(Object modelKey)` Get the Model's idNodeMap
    `Map<Object,List<Object>>` | `getNodeFocusPathMap(Object modelKey)` Get the Model's nodeFocusPathMap
    `TreeModel` | `getTreeModel(String uri)` Get the TreeModel built while parsing metadata.
    `Map<String,List<Object>>` | `getViewIdFocusPathMap(Object modelKey)` Get the Model's viewIdFocusPathMap
    `void` | `setId(int id)` sets the id of this content handler
    `void` | `setModelId(String modelId)` Sets the local, sharedNode model's Model id on the ContentHandler so that the local model can be gotten to, if necessary.
    `void` | `setRootHandler(boolean isRoot)`
    `void` | `setRootModelKey(String key)` Sets the root model's request map key on the ContentHandler so that the nodes can get back to their root model through the request map.

- - ### Method Detail

    - #### getTreeModel

          TreeModel getTreeModel(String uri)

      Get the TreeModel built while parsing metadata.
      Parameters:
        `uri` - String mapkey to a (possibly) treeModel cached on the MenuContentHandlerImpl.
      Returns:
        TreeModel.

    - #### setRootModelKey

          void setRootModelKey(String key)

      Sets the root model's request map key on the ContentHandler so that the nodes can get back to their root model through the request map.

    - #### setModelId

          void setModelId(String modelId)

      Sets the local, sharedNode model's Model id on the ContentHandler so that the local model can be gotten to, if necessary.

    - #### getIdNodeMap

          Map<String,Object> getIdNodeMap(Object modelKey)

      Get the Model's idNodeMap
      Returns:
        the Model's idNodeMap

    - #### getNodeFocusPathMap

          Map<Object,List<Object>> getNodeFocusPathMap(Object modelKey)

      Get the Model's nodeFocusPathMap
      Returns:
        the Model's nodeFocusPathMap

    - #### getViewIdFocusPathMap

          Map<String,List<Object>> getViewIdFocusPathMap(Object modelKey)

      Get the Model's viewIdFocusPathMap
      Returns:
        the Model's viewIdFocusPathMap

    - #### setRootHandler

          void setRootHandler(boolean isRoot)

    - #### setId

          void setId(int id)

      sets the id of this content handler

    - #### getId

          int getId()

      gets the id of this content handler
      Returns:
        the id

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.